/*
 * C
 *
 * Copyright 2013-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */

// -----------------------------------------------------------------------------
// Includes
// -----------------------------------------------------------------------------

#include "interrupts.h"

// -----------------------------------------------------------------------------
// Static Variables
// -----------------------------------------------------------------------------

/*
 * @brief Flag indicating if the current execution is from an interrupt
 * sevice routine
 */
static volatile uint8_t is_in_ISR = MICROEJ_FALSE;

// -----------------------------------------------------------------------------
// Project functions
// -----------------------------------------------------------------------------

// See the header file for the function documentation
uint8_t interrupt_is_in(void) {
	return is_in_ISR;
}

// See the header file for the function documentation
uint8_t interrupt_enter(void) {
	if (is_in_ISR == MICROEJ_TRUE) {
		return MICROEJ_FALSE;
	} else {
		is_in_ISR = MICROEJ_TRUE;
		return MICROEJ_TRUE;
	}	
}

// See the header file for the function documentation
void interrupt_leave(uint8_t leave) {
	if (leave == MICROEJ_TRUE) {
		is_in_ISR = MICROEJ_FALSE;
	}	
}

// -----------------------------------------------------------------------------
// EOF
// -----------------------------------------------------------------------------

