/*
 * C
 *
 * Copyright 2017-2021 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */

#include "fsl_trng.h"
#include "fsl_clock.h"
#include "fsl_power.h"

#include "LLNET_Cfg_port.h"


/*******************************************************************************
 * Definitions
 ******************************************************************************/
#define TRNG_EXAMPLE_RANDOM_NUMBER 32

/**
* Returns a 32 bit random number.
*/
uint32_t LLNET_getRandomNumber(){ 
 
   	status_t status;
    uint32_t data[TRNG_EXAMPLE_RANDOM_NUMBER] = { 0 };
    
    /* Get Random data*/
    status = TRNG_GetRandomData(TRNG0, data, sizeof(data));
    if (kStatus_Success == status)
    {
        // Generate TRNG_EXAMPLE_RANDOM_NUMBER items and use TRNG_EXAMPLE_RANDOM_NUMBER'th one
        // for better entropy
	    return data[TRNG_EXAMPLE_RANDOM_NUMBER - 1];
    }
    
    // TODO: We should report an error here.
    return 0;   

}
