/*
 * C
 *
 * Copyright 2019-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
#ifndef DISPLAY_OVERLAY_H
# define DISPLAY_OVERLAY_H

// -----------------------------------------------------------------------------
// Includes
// -----------------------------------------------------------------------------

#include "vglite_window.h"

#include "mej_debug.h"
#include "fsl_dc_fb_dsi_cmd.h"

// -----------------------------------------------------------------------------
// Macros and Defines
// -----------------------------------------------------------------------------

// -----------------------------------------------------------------------------
// Types
// -----------------------------------------------------------------------------

// -----------------------------------------------------------------------------
// Variables
// -----------------------------------------------------------------------------

// -----------------------------------------------------------------------------
// Public functions
// -----------------------------------------------------------------------------

/*
 * @brief Update the CPU load
 *
 * @param[in] percent: new CPU load percentage
 */
void display_overlay_update_cpu(uint32_t percent);

/*
 * @brief Update the framerate
 *
 * @param[in] fps: new framerate per seconds
 */
void display_overlay_update_fps(uint32_t fps);

/*
 * @brief Flushes the overlay to the framebuffer
 *
 * @param[in] buffer: pointer to the framebuffer
 */
void display_overlay_flush(void *buffer);

/*
 * @brief Toggles (enable/disable) the overlay
 */
void display_overlay_toggle(void);

#endif	// DISPLAY_OVERLAY_H

// -----------------------------------------------------------------------------
// EOF
// -----------------------------------------------------------------------------

