/*
 * Java
 *
 * Copyright 2018-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.microej.mock;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

/**
 * The main application.
 */
public class MockupApplication extends Application {

	private final Pane root;

	@SuppressWarnings("unused")
	private final Dashboard dashboard;

	/**
	 * Creates a new instance of the application.
	 * <p>
	 * Called by JavaFX.
	 */
	public MockupApplication() {
		this.root = new VBox();
		this.dashboard = new Dashboard(this.root);
	}

	@SuppressWarnings("nls")
	@Override
	public void start(Stage primaryStage) throws Exception {
		primaryStage.setTitle("Smartwatch VD Control Center");

		primaryStage.setScene(new Scene(this.root));
		primaryStage.sizeToScene();
		primaryStage.setResizable(false);
		primaryStage.show();
	}

}
