/*
 * Java
 *
 * Copyright 2020 MicroEJ Corp. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be found with this software.
 */
package com.microej.service;

/**
 * Groups native methods for {@link PowerServiceImpl}.
 */
public class PowerServiceNative {

	/**
	 * Retrieves the current power level.
	 *
	 * @return the percentage of battery charge
	 */
	public static native int getPowerLevel();

	/**
	 * Tells whether the battery is charging.
	 *
	 * @return true if the battery is charging, false otherwise
	 */
	public static native boolean isCharging();

	private PowerServiceNative() {
		// Prevent instantiation
	}
}
