/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.cssgenerator.selector;

import java.io.StringWriter;
import java.util.Hashtable;
import java.util.Map;

import org.w3c.css.sac.Condition;
import org.w3c.css.sac.SiblingSelector;

import com.steadystate.css.parser.selectors.DirectAdjacentSelectorImpl;

/**
 *
 */
public class AdjacentSiblingCombinator implements Selector {

	private static final String ADJACENT_SIBLING_SELECTOR_VAR_PREFIX = "adjacentSibling_";
	private final Map<String, String> adjacentSiblingSelectorVars = new Hashtable<String, String>();

	@Override
	public String generate(Condition c, StringWriter writer) throws IllegalArgumentException {
		throw new RuntimeException();
	}

	@Override
	public String generate(org.w3c.css.sac.Selector s, StringWriter writer) throws IllegalArgumentException {
		SiblingSelector siblingSelector = this.get(s);

		String selectorVar = SelectorFactory.create(siblingSelector.getSelector(), writer);
		String siblingSelectorVar = SelectorFactory.create(siblingSelector.getSiblingSelector(), writer);
		StringBuilder adjacentSiblingSelector = new StringBuilder(selectorVar).append(siblingSelectorVar);
		String adjacentSiblingSelectorVar = this.adjacentSiblingSelectorVars.get(adjacentSiblingSelector.toString());
		if (adjacentSiblingSelectorVar != null) {
			return adjacentSiblingSelectorVar;
		}
		StringBuilder adjancentSiblingSelectorVarSb = new StringBuilder(ADJACENT_SIBLING_SELECTOR_VAR_PREFIX)
				.append(selectorVar).append("_").append(siblingSelectorVar);
		writer.append(this.getClassName()).append(" ").append(adjancentSiblingSelectorVarSb);
		writer.append(" = new ");
		writer.append(this.getClassName()).append('(');
		writer.append(selectorVar);
		writer.append(", ");
		writer.append(siblingSelectorVar);
		writer.append(");\n");
		this.adjacentSiblingSelectorVars.put(adjacentSiblingSelector.toString(),
				adjancentSiblingSelectorVarSb.toString());
		return adjancentSiblingSelectorVarSb.toString();

	}

	private SiblingSelector get(org.w3c.css.sac.Selector s) {
		if (!this.matches(s)) {
			throw new IllegalArgumentException("Given selector is not a SiblingSelector");
		}

		return (SiblingSelector) s;
	}

	@Override
	public boolean matches(Condition condition) {
		return false;
	}

	@Override
	public String getClassName() {
		return "ej.style.selector.combinator.AdjacentSiblingCombinator";
	}

	@Override
	public boolean matches(org.w3c.css.sac.Selector selector) {
		return selector instanceof DirectAdjacentSelectorImpl;
	}

}
