/*
 * Java
 *
 * Copyright 2019 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.jsgenerator;

/**
 * A JavaScript instance method call.
 */
public class InstanceMethodCall {

	private final String name;
	private final int nbParameters;

	public InstanceMethodCall(String name, int nbParameters) {
		this.name = name;
		this.nbParameters = nbParameters;
	}

	/**
	 * Gets the name.
	 *
	 * @return the name.
	 */
	public String getName() {
		return name;
	}

	/**
	 * Gets the nbParameters.
	 *
	 * @return the nbParameters.
	 */
	public int getNbParameters() {
		return nbParameters;
	}

	@Override
	public boolean equals(Object obj) {
		InstanceMethodCall other;
		try {
			other = (InstanceMethodCall)obj;
		}
		catch(ClassCastException e) {
			return false;
		}

		return name.equals(other.name) && nbParameters == other.nbParameters;
	}

	@Override
	public int hashCode() {
		return name.hashCode() + nbParameters;
	}
}
