package com.is2t.java.nodes;


/**
 * Common feature between Methods and Constructors (not an abstract method !)
 * 
 * Java
 *
 * Copyright 2008 IS2T. All rights reserved
 * IS2T PROPRIETARY/ Use is subject to license terms.
 */
public abstract class AbstractMethodDeclaration extends JavaSourceNode{

	public static LocalDeclaration[] NoParameters = new LocalDeclaration[0];
	
	public Modifiers modifiers;
	public char[] name;	
	public LocalDeclaration[] parameters;
	public Statement[] statements;
	
	public TypeDeclaration type; 		//type definition of this method
	public TypeReference[] exceptions;  // null if no thrown clause

	
	public AbstractMethodDeclaration(TypeDeclaration type, char[] name) {
		this.name = name;
		this.type = type;
	}
			
	public AbstractMethodDeclaration(TypeDeclaration type, Modifiers modifiers, char[] name, LocalDeclaration[] parameters, Statement[] statements){
		this( type, name );
		this.modifiers = modifiers;	
		this.parameters = parameters;
		this.statements = statements;
	}
	
	public void initialize(Modifiers modifiers, LocalDeclaration[] parameters, Statement[] statements){
		this.modifiers = modifiers;	
		this.parameters = parameters;
		this.statements = statements;
	}
	
	/**
	 * Method in java is identify by her name and arguments type (not return type)
	 * @param name
	 * @param args
	 * @return true if the Method has same name and same arguments type
	 */
	public boolean equals( char[] name, TypeReference[] args) {
		System.out.println("AbstractMethodDeclaration.equals()" + args.length);
		if ((name != this.name) || (args.length != parameters.length))
			return false;
		
		for (int i = args.length; --i >=0 ; ) {
			if ( ! args[i].equals( parameters[i]))
				return false;
		}
		return true;
	}
}
