package com.is2t.java.nodes;

import com.is2t.java.JavaSourceGenerator;

/**
 * TypeReference for a Struct pointer or an array of base type...
 * Differs from TypeReference because generated as int instead of struct name ...
 * 
 * Java
 *
 * Copyright 2008 IS2T. All rights reserved
 * IS2T PROPRIETARY/ Use is subject to license terms.
 */
public class AddressReference extends TypeReference {

	public AddressReference(TypeDeclaration type, int dimension){
		super( type, dimension);
		comment = new SimpleComment( type.simpleName());
	}
	
	public AddressReference(TypeDeclaration type){
		super( type, 0);
		comment = new SimpleComment( type.simpleName());
	}
	
	public AddressReference(char[][] fullyQualifiedName, int dimension){
		super( fullyQualifiedName, dimension);
		comment = new SimpleComment( fullyQualifiedName[fullyQualifiedName.length-1]);
	}
	
	public AddressReference(int basetypeId, int dimensions){
		super( basetypeId, dimensions);
	}
	
	public void generateUsing(JavaSourceGenerator gen) {
		gen.generateStructReference(this);
	}
	
	public boolean isAddressReference() {
		return true;
	}
}
