package com.is2t.java.nodes;

import com.is2t.java.JavaSourceGenerator;


public class TryStatement extends Statement {
	public Block tryBlock;			//never null
	public CatchClause[] catches; 	//never null
	public Block finallyBlock; 		//can be null

	public TryStatement( Block tryBlock, CatchClause[] catches, Block finallyBlock) {
		this.tryBlock = tryBlock;
		this.catches = catches;
		this.finallyBlock= finallyBlock;
	}
	
	public TryStatement( Block tryBlock, CatchClause[] catches) {
		this.tryBlock = tryBlock;
		this.catches = catches;
	}
	
	@Override
	public void generateUsing(JavaSourceGenerator gen) {
		gen.generateTryStatement( this);
		
	}

}
