package com.is2t.java.nodes.expressions;


import com.is2t.java.JavaSourceGenerator;
import com.is2t.java.nodes.ConstructorDeclaration;
import com.is2t.java.nodes.Expression;



public class ExplicitConstructorInvocation extends Expression{
	
	public Expression[] arguments;					// never null
	public Expression qualification;		
	public ConstructorDeclaration declaration;		//can be null
	public char[][] declarationTypeName;			//Never Declaration type name (useful for static method but null for current class static call)

	public boolean isSuper;	//true for super, false for this
	
	public ExplicitConstructorInvocation ( ConstructorDeclaration declaration, Expression[] args, boolean isSuper, Expression qualification){
		this( declaration.type.fullyQualifiedName, args, isSuper, qualification);
		this.declaration = declaration;
	}
	
	public ExplicitConstructorInvocation ( char[][] declarationTypeName, Expression[] args, boolean isSuper, Expression qualification){
		this.qualification = qualification;
		this.arguments = args;
		this.declarationTypeName = declarationTypeName;
		this.isSuper = isSuper;
	}

	@Override
	public void generateExpressionUsing(JavaSourceGenerator gen) {
		gen.generateExplicitConstructorInvocation( this);
		
	}

}
