/*
 * Java
 * 
 * Copyright 2010-2013 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.linker.map;

import java.io.InputStream;
import java.io.OutputStream;

import com.is2t.tools.graph.IGraph;

public interface IMapFileInterpretor {
	
	public static final String TMP_GRAPH_HEADER = "$";
	
	/**
	 * @deprecated use {@link IMapFileInterpretor2#initialize(java.io.File, InputStream, OutputStream)}
	 */
	public void initialize(String mapFile, InputStream inputStream, OutputStream outputStream);

	/**
	 * @deprecated use {@link IMapFileInterpretor2#launch()}
	 */
	public void run();

	public IGraph accessPaths(String graphName, String symbolName, boolean stopAtFirstResult);
	
	public IGraph createGraph(String graphName, String[] symbolsOrSectionRegExps, boolean recursive);
	
	public IGraph intersection(String graphName, String[] graphs);

	public String[] listGraphs();
	
	public IGraph getGraph(String graphName);
	
	public String[] listRanges();
	
	public IRange getRange(String rangeName);
	
	public int getGraphImageSize(String graphName);
	
	public int getGraphDynamicSize(String graphName);
	
	public int getGraphImageSize(String graphName, String[] ranges);
	
	public int getGraphDynamicSize(String graphName, String[] ranges);
	
	public IBlock[] listSections(String graphName, String regexp);
	
	public ISymbol[] listSymbols(String graphName);
	
	public void removeGraph(String graphName);
	
	public IGraph substract(String graphName, String graph1, String graph2);
	
	public IGraph substract(String graphName, String graph, String[] graphs);
	
	public IGraph union(String graphName, String[] graphs);
	
	/**
	 * @deprecated use {@link IMapFileInterpretor2#addListener(IMapFileInterpretorListener2)}
	 */
	public void addIMapFileInterpretorListener(IMapFileInterpretorListener listener);
	
}