/*
 * Java
 *
 * Copyright 2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.microej.vivante.utils;

import com.verisilicon.vivante.vg_lite_matrix;
import com.verisilicon.vivante.vg_lite_path;

import ej.microui.display.GraphicsContext;

/**
 * Represents a path.
 */
public interface Path {

	/**
	 * Draws the path to a graphics context.
	 *
	 * @param g
	 *            the graphics context.
	 * @param matrix
	 *            the matrix to apply.
	 */
	void draw(GraphicsContext g, vg_lite_matrix matrix);

	/**
	 * Gets the VGLite path.
	 *
	 * @return the VGLite path.
	 */
	vg_lite_path getVGLitePath();

}
