package java.util;

/**
 * Thrown by the <code>nextElement</code> method of an <code>Enumeration</code> to indicate that
 * there are no more elements in the enumeration.
 * 
 * @see java.util.Enumeration
 * @see java.util.Enumeration#nextElement()
 */
public class NoSuchElementException extends RuntimeException {

	/**
	 * Constructs a <code>NoSuchElementException</code> with <tt>null</tt> as its error message
	 * string.
	 */
	public NoSuchElementException() {
		throw new RuntimeException();
	}

	/**
	 * Constructs a <code>NoSuchElementException</code>, saving a reference to the error message
	 * string <tt>s</tt> for later retrieval by the <tt>getMessage</tt> method.
	 * 
	 * @param s
	 *        the detail message.
	 */
	public NoSuchElementException(String s) {
		throw new RuntimeException();
	}
}